Skip to main content
GET
/
rfqs
/
{id}
/
quotes
List RFQ Quotes
curl --request GET \
  --url https://api.totalis.trade/rfqs/{id}/quotes \
  --header 'TOTALIS_API_KEY: <api-key>'
{
  "quotes": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "parlay_ticket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "market_maker_id": "<string>",
      "payout_odds": 500.505,
      "total_cost": 123,
      "total_payout": 123,
      "mm_payout": 123,
      "valid_until": "2023-11-07T05:31:56Z",
      "status": "pending",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "leg_prices": [
        {
          "leg_id": "<string>",
          "leg_odds": 123
        }
      ]
    }
  ]
}

Authorizations

TOTALIS_API_KEY
string
header
required

API key for programmatic access. Generate from the Totalis Dashboard. Format: api_live_xxxxxxxxxxxxxxxxxxxxx. Supported for REST API and WebSocket.

Path Parameters

id
string<uuid>
required

RFQ UUID

Response

List of quotes sorted by payout odds

quotes
object[]